# snikket

Chat that is simple, secure, and private.

<!-- metadata -->

* **Category**: Apps
* **Status**:
* **Image**: [`thecoopcloud/snikket-*`](https://hub.docker.com/u/thecoopcloud)
* **Healthcheck**:
* **Backups**:
* **Email**:
* **Tests**:
* **SSO**:

<!-- endmetadata -->

## Tricks & Tips

### Post-deploy steps

The `certs` service needs to copy over the right certificates from traefik. If
you're deploying for the first time, then this could take a minute. Once the certs
are copied over, you'll have to manually restart the app service.

```
abra app logs <yoursnikket> certs
abra app run <yoursnikket> server ls -lha /certs
abra app restsart <yoursnikket> app
```

### DNS requirements

You need 3 A records, pointing to the same IP.

- **chat.foo.com**: main web log in
- **share.chat.foo.com**: file upload
- **groups.chat.foo.com**: muc support

### Create admin invite

```
abra app run <app> server create-invite --admin --group default
```

### How does the coturn setup work?

We default to external using a default coturn to support the homebrew server as
a first class citizen. Coturn is known to not work at all if behind a NAT and
is better served directlry from a ipv4. For homebrew setups (behind router),
it's better to dial out to an external coturn server.

If you want to use the internal Snikket coturn setup, use the following:

```
COMPOSE_FILE="compose.yml:compose.coturn-int.yml"
```

There are issues with exposing the required amount of ports, please see
[`#5`](https://git.coopcloud.tech/coop-cloud/snikket/issues/5).
